Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyRootDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyRootDoc

All Implemented Interfaces:
  GroovyRootDoc

    public class SimpleGroovyRootDoc
    extends SimpleGroovyDoc

Constructor Summary
`SimpleGroovyRootDoc(String name)`

Method Summary
`GroovyClassDoc` | `classNamed(String name)`
`GroovyClassDoc` | `classNamedExact(String name)`
`GroovyClassDoc[]` | `classes()`
`String` | `description()`
`Map` | `getVisibleClasses(List importedClassesAndPackages)`
`String[][]` | `options()`
`GroovyPackageDoc` | `packageNamed(String packageName)`
`void` | `printError(String arg0)`
`void` | `printNotice(String arg0)`
`void` | `printWarning(String arg0)`
`void` | `put(String packageName, GroovyPackageDoc packageDoc)`
`void` | `putAllClasses(Map classes)`
`void` | `resolve()`
`void` | `setDescription(String description)`
`GroovyClassDoc[]` | `specifiedClasses()`
`GroovyPackageDoc[]` | `specifiedPackages()`
`String` | `summary()`

Methods inherited from class SimpleGroovyDoc
calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### SimpleGroovyRootDoc

    public SimpleGroovyRootDoc(String name)

Method Detail

### classNamed

    public GroovyClassDoc classNamed(String name)

### classNamedExact

    public GroovyClassDoc classNamedExact(String name)

### classes

    public GroovyClassDoc[] classes()

### description

    public String description()

### getVisibleClasses

    public Map getVisibleClasses(List importedClassesAndPackages)

### options

    public String[][] options()

### packageNamed

    public GroovyPackageDoc packageNamed(String packageName)

### printError

    public void printError(String arg0)

### printNotice

    public void printNotice(String arg0)

### printWarning

    public void printWarning(String arg0)

### put

    public void put(String packageName, GroovyPackageDoc packageDoc)

### putAllClasses

    public void putAllClasses(Map classes)

### resolve

    public void resolve()

### setDescription

    public void setDescription(String description)

### specifiedClasses

    public GroovyClassDoc[] specifiedClasses()

### specifiedPackages

    public GroovyPackageDoc[] specifiedPackages()

### summary

    public String summary()

Copyright © 2003-2010 The Codehaus. All rights reserved.